Subject: bug#10320: 23.3.50; line numbering in fortran-mode

From: David Reitter <[email-masked]>
Date: Mon, 19 Dec 2011 07:38:15 +0100

On Dec 19, 2011, at 1:37 AM, Glenn Morris wrote:
> 
> Sorry, the original message is a wodge of html that my client cannot
> sensibly quote.

The original bug report contained two screenshots; perhaps they got mangled.

> Anyway, I cannot reproduce this in GNU Emacs on GNU/Linux using either
> Emacs 23.3 or the current trunk, starting from `emacs -Q'. So I imagine
> the problem is either NS or Aquamacs specific.

Pity.  That seemed unlikely, which is why I forwarded it.

I know nothing about Fortran mode and was hoping someone could tell from the description what was going on.

> The following information looks suspicious:
> 
>> Unable to load color "dark cyan" [2 times]
>> Mark set [2 times]
>> Choose Font for f90-mode-default face.
>> Font set for f90-mode-default face. [3 times]
>> Unable to load color "dark cyan"
>> byte-code: End of buffer [6 times]
>> byte-code: End of bufferUnable to load color "dark cyan"
> 
> I have no idea where this is coming from, it seems non-standard.

AFAIK, the error message regarding color is due to a previous version (perhaps the old Emacs.app) generating a Emacs.clr color table, which is still loaded upon startup.  This table now prevents newer Emacsen from using a more complete color table.  Many color themes using "dark cyan" suffer from the situation. Users would have to find and delete the file in order to make it work again.  I think this has nothing to do with the problem at hand.

(The font-setting messages come from a minor mode that ships with Aquamacs, and they are normal.)